/*
 Navicat Premium Data Transfer

 Source Server         : transfer
 Source Server Type    : SQLite
 Source Server Version : 3030001
 Source Schema         : main

 Target Server Type    : SQLite
 Target Server Version : 3030001
 File Encoding         : 65001

 Date: 06/05/2021 10:46:12
*/

/*
 设备表
 */
--CREATE TABLE IF NOT EXISTS "device" (
--  "device_id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
--  "device_serial" VARCHAR(100),
--  "browser_name" VARCHAR(100),
--  "browser_version" VARCHAR(100),
--  "os_platform" VARCHAR(45),
--  "os_version" VARCHAR(100),
--  "user_agent" VARCHAR(100),
--  "create_time" TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime')),
--  "update_time" TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime'))
--);

/*
 浏览记录表
 */
--CREATE TABLE IF NOT EXISTS "browser_record" (
--  "id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
--  "page_id" VARCHAR(100),
--  "url" VARCHAR(100),
--  "base_url" VARCHAR(100),
--  "full_url" VARCHAR(100),
--  "title" VARCHAR(100),
--  "app_id" VARCHAR(100),
--  "device_id" VARCHAR(100),
--  "user_id" VARCHAR(100),
--  "access_time" INTEGER,
--  "page_load_time" INTEGER,
--  "create_time" TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime')),
--  "unfix_problem_times" INTEGER,
--  "unfix_plugin_times" INTEGER,
--  "unfix_script_times" INTEGER,
--  "unfix_css_times" INTEGER,
--  "unfix_other_times" INTEGER,
--  "fix_plugin_times" INTEGER,
--  "fix_script_times" INTEGER,
--  "fix_css_times" INTEGER,
--  "fix_problem_times" INTEGER,
--  "unfix_problem_count" INTEGER,
--  "unfix_plugin_count" INTEGER,
--  "unfix_script_count" INTEGER,
--  "unfix_css_count" INTEGER,
--  "unfix_other_count" INTEGER,
--  "fix_plugin_count" INTEGER,
--  "fix_script_count" INTEGER,
--  "fix_css_count" INTEGER,
--  "fix_problem_count" INTEGER
--);


--CREATE TABLE IF NOT EXISTS "problem_record" (
--    "id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
--    "page_id" VARCHAR(100),
--    "problem_type" VARCHAR(100),
--    "stack_detail" VARCHAR(100),
--    "problem_detail" VARCHAR(100),
--    "problem_title" VARCHAR(100),
--    "code_snippet" VARCHAR(100),
--    "screenshot" VARCHAR(100),
--    "create_time" TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime')),
--    "state" INTEGER,
--    "fix_time" TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime')),
--    "knowledge_id" INTEGER
--);

/*
 用户表
 */
--CREATE TABLE IF NOT EXISTS "user" (
--    "id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
--    "user_name" VARCHAR(100),
--    "company_id" VARCHAR(100),
--    "password" VARCHAR(100),
--    "password_hash" VARCHAR(100),
--    "create_time" TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime'))
--);

/*
 公司表
 */
--CREATE TABLE IF NOT EXISTS "company" (
--  "id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
--  "company_name" VARCHAR(100),
--  "industry" VARCHAR(100),
--  "create_time" TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime'))
--);

/*
 用户配置表
 */
--CREATE TABLE IF NOT EXISTS "user" (
--  "id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
--  "user_name" VARCHAR(100),
--  "company_id" VARCHAR(100),
--  "password" VARCHAR(100),
--  "password_hash" VARCHAR(100),
--  "create_time" TIMESTAMP NOT NULL DEFAULT (datetime('now','localtime'))
--);

/*
 站点过滤列表（黑名单、白名单）
 */
--CREATE TABLE IF NOT EXISTS "site_filter" (
--  "id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
--  "user_id" int NOT NULL,
--  "address" TEXT,
--  "desc" TEXT,
--  "enable" int DEFAULT 0,
--  "type" int DEFAULT 0,
--  "create_time" DATE DEFAULT (datetime("now","localtime"))
--);